///////////////////////////////////////////////////////
//Farbverlauf gespeichert in 2-dim Array
////////////////////////////////////////////////////
float delta; 
color[] senkrechtLinks, senkrechtRechts; 
color loFarbe = color(255, 0, 255); // Farbe links oben
color roFarbe = color(0, 255, 0);
color luFarbe = color(0, 0, 255);
color ruFarbe = color(255, 0, 0); // Farbe rechts unten
color aktuelleFarbe;
color[][] pixel;

void setup() {
  size(700, 700); // erzeuge Fenster
  senkrechtLinks = new color[700];
  senkrechtRechts = new color[700];
  pixel = new color[700][700];
  for (int y = 0; y <height; y++) { /// erzeuge Pixel link und rechts
    delta = float(y)/height;
    senkrechtLinks[y] = lerpColor(loFarbe, luFarbe, delta);
    senkrechtRechts[y] = lerpColor(roFarbe, ruFarbe, delta);
  }
  for (int y = 0; y<height; y++)
    for (int x = 0; x<width; x++) {
      delta = float(x)/width;
      pixel[x][y] = lerpColor(senkrechtLinks[y], senkrechtRechts[y], delta);
    }
}

void draw() {
  for (int y = 0; y < height; y++) 
    for (int x = 0; x < width; x++) 
      set(x, y, pixel[x][y]);
}
